namespace Server.Items
{
    public class ShieldOfInvulnerability : OrderShield
    {
        public override bool IsArtifact => true;
        public override int LabelNumber => 1070693; // Shield Of Invulnerability
        public override int BasePhysicalResistance => 8;
        public override int BaseFireResistance => 0;
        public override int BaseColdResistance => 0;
        public override int BasePoisonResistance => 0;
        public override int BaseEnergyResistance => 0;
        public override int InitMinHits => 255;
        public override int InitMaxHits => 255;

        [Constructable]
        public ShieldOfInvulnerability()
        {
            Hue = 0x4F2;
            Attributes.SpellChanneling = 1;
            Attributes.ReflectPhysical = 10;
            Attributes.DefendChance = 15;
            ArmorAttributes.LowerStatReq = 100;
        }

        public ShieldOfInvulnerability(Serial serial)
            : base(serial)
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);
            writer.Write(0);
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);
            int version = reader.ReadInt();
        }
    }
}
